вторник, 9 ноября 2010 г.

debian

Попросили настроить ISPManager в fastcgi режиме на дебияне.
Отвратительная система... Половины штатных утилит нет, пакеты старые... Нету банального dig!

Итак.
Сначала, ставим бинд в качестве кэша
# aptitude install bind9 bind9utils
(можно и не делать, а можно поставить dnsmasq)

Обновляем nginx, тут есть репы
http://wiki.nginx.org/Install

deb http://nginx.org/packages/debian/ squeeze nginx
deb-src http://nginx.org/packages/debian/ squeeze nginx
(только для 6, в 5 ищем чужие сборки)


Проверяем, что стоит какой-либо fcgi модуль.
Варианта 2:
libapache2-mod-fcgid - an alternative module compat with mod_fastcgi
libapache2-mod-fastcgi - Apache 2 FastCGI module for long-running CGI scripts

Проверяем, что есть php-cgi, и делаем симлинк /usr/local/bin/php-cgi в /usr/bin
после этого разрешаем cgi в настройках и переключаем в режим fastcgi.

Комментариев нет:

Отправить комментарий